{% extends 'base.html.twig' %}
{% block header_title %}Tableau d'affichage{% endblock %}
{% block header_subtitle %}Ajout d'une catégorie / colonne{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Nouvelle catégorie / colonne</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_board_boardcategory_create') }}" method="post">
                    <div class="row gy-4">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.title) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.title) }}
                                    {{ form_errors(form.title) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.position) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.position) }}
                                    {{ form_errors(form.position) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.color) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.color) }}
                                    {{ form_errors(form.color) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>

        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
